Next: Targets, Previous: Relocations, Up: BFD front end

### 2.11 Core files

#### 2.11.1 Core file functions

Description
These are functions pertaining to core files.

##### 2.11.1.1 `bfd_core_file_failing_command`

Synopsis

         const char *bfd_core_file_failing_command (bfd *abfd);

Description
Return a read-only string explaining which program was running when it failed and produced the core file abfd.

##### 2.11.1.2 `bfd_core_file_failing_signal`

Synopsis

         int bfd_core_file_failing_signal (bfd *abfd);

Description
Returns the signal number which caused the core dump which generated the file the BFD abfd is attached to.

##### 2.11.1.3 `core_file_matches_executable_p`

Synopsis

         bfd_boolean core_file_matches_executable_p
            (bfd *core_bfd, bfd *exec_bfd);

Description
Return `TRUE` if the core file attached to core_bfd was generated by a run of the executable file attached to exec_bfd, `FALSE` otherwise.

##### 2.11.1.4 `generic_core_file_matches_executable_p`

Synopsis

         bfd_boolean generic_core_file_matches_executable_p
            (bfd *core_bfd, bfd *exec_bfd);

Description
Return TRUE if the core file attached to core_bfd was generated by a run of the executable file attached to exec_bfd. The match is based on executable basenames only.

Note: When not able to determine the core file failing command or the executable name, we still return TRUE even though we're not sure that core file and executable match. This is to avoid generating a false warning in situations where we really don't know whether they match or not.